Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class StatisticNote

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.botmanager.common.bean.StatisticNote

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class StatisticNote
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StatisticNote()` |
  `StatisticNote​(int botId, int contractId, long messengerUserId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBotId()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getLastMessageTime()` |
  `int` | `getLastViewedDialogId()` |
  `long` | `getMessengerUserId()` |
  `void` | `setBotId​(int botId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setLastMessageTime​(java.util.Date lastMessageTime)` |
  `void` | `setLastViewedDialogId​(int lastViewedDialogId)` |
  `void` | `setMessengerUserId​(long messengerUserId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StatisticNote

    public StatisticNote()

  - ### StatisticNote

    public StatisticNote​(int botId, int contractId, long messengerUserId)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getLastMessageTime

    public java.util.Date getLastMessageTime()

  - ### setLastMessageTime

    public void setLastMessageTime​(java.util.Date lastMessageTime)

  - ### getBotId

    public int getBotId()

  - ### setBotId

    public void setBotId​(int botId)

  - ### getMessengerUserId

    public long getMessengerUserId()

  - ### setMessengerUserId

    public void setMessengerUserId​(long messengerUserId)

  - ### getLastViewedDialogId

    public int getLastViewedDialogId()

  - ### setLastViewedDialogId

    public void setLastViewedDialogId​(int lastViewedDialogId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)